Bug 1120644 - Unnecessary source code error during "net ads join"
Summary: Unnecessary source code error during "net ads join"
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: samba4
Version: 6.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Andreas Schneider
QA Contact: Namita Soman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-17 10:31 UTC by Kaushik Banerjee
Modified: 2014-08-14 20:47 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-11 12:26:04 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Kaushik Banerjee 2014-07-17 10:31:16 UTC
Description of problem:
Unnecessary source code error during "net ads join"

Version-Release number of selected component (if applicable):
samba4-common-4.0.0-63.el6.rc4

How reproducible:
Occasionally

Steps to Reproduce:
1. # cat /etc/samba/smb.conf
[global]
workgroup = SSSDAD2012
security = ads
realm = SSSDAD2012.COM
kerberos method = system keytab
netbios name = idm-qe-01

2. # net -k ads join -U administrator sssdad2012.com
Enter administrator's password:
print_kdc_line: can't resolve name for kdc with non-default port [2620:52:0:d80:6d:aaf6:6fa0:298d]. Error Name or service not known
Using short domain name -- SSSDAD2012
Joined 'IDM-QE-01' to realm 'sssdad2012.com'
.kerberos_kinit_password IDM-QE-01$@SSSDAD2012.COM failed: Client not found in Kerberos database
DNS update failed: kinit failed: Client not found in Kerberos database
Freed frame ../source3/utils/net.c:773, expected ../source3/libads/kerberos.c:688.

3. # net ads testjoin
Join is OK

4. # rpm -qf /usr/bin/net
samba4-common-4.0.0-63.el6.rc4.x86_64

5. # klist -ekt
Keytab name: FILE:/etc/krb5.keytab
KVNO Timestamp         Principal
---- ----------------- --------------------------------------------------------
   2 07/17/14 05:31:39 host/idm-qe-01.sssdad2012.com@SSSDAD2012.COM (des-cbc-crc) 
   2 07/17/14 05:31:39 host/idm-qe-01.sssdad2012.com@SSSDAD2012.COM (des-cbc-md5) 
   2 07/17/14 05:31:39 host/idm-qe-01.sssdad2012.com@SSSDAD2012.COM (aes128-cts-hmac-sha1-96) 
   2 07/17/14 05:31:39 host/idm-qe-01.sssdad2012.com@SSSDAD2012.COM (aes256-cts-hmac-sha1-96) 
   2 07/17/14 05:31:39 host/idm-qe-01.sssdad2012.com@SSSDAD2012.COM (arcfour-hmac) 
   2 07/17/14 05:31:39 host/idm-qe-01@SSSDAD2012.COM (des-cbc-crc) 
   2 07/17/14 05:31:39 host/idm-qe-01@SSSDAD2012.COM (des-cbc-md5) 
   2 07/17/14 05:31:39 host/idm-qe-01@SSSDAD2012.COM (aes128-cts-hmac-sha1-96) 
   2 07/17/14 05:31:39 host/idm-qe-01@SSSDAD2012.COM (aes256-cts-hmac-sha1-96) 
   2 07/17/14 05:31:39 host/idm-qe-01@SSSDAD2012.COM (arcfour-hmac) 
   2 07/17/14 05:31:39 IDM-QE-01$@SSSDAD2012.COM (des-cbc-crc) 
   2 07/17/14 05:31:39 IDM-QE-01$@SSSDAD2012.COM (des-cbc-md5) 
   2 07/17/14 05:31:40 IDM-QE-01$@SSSDAD2012.COM (aes128-cts-hmac-sha1-96) 
   2 07/17/14 05:31:40 IDM-QE-01$@SSSDAD2012.COM (aes256-cts-hmac-sha1-96) 
   2 07/17/14 05:31:40 IDM-QE-01$@SSSDAD2012.COM (arcfour-hmac)


6. # nslookup -query=AAAA sssdad2012.com
sssdad2012.com	has AAAA address 2620:52:0:d80:6d:aaf6:6fa0:298d
sssdad2012.com	has AAAA address 2620:52:0:d80:a122:ec44:ecca:578b


Actual results:


Expected results:


Additional info:

Comment 2 Kaushik Banerjee 2014-07-23 12:29:39 UTC
Haven't seen this message on RHEL6.5

Comment 4 Dmitri Pal 2014-08-11 12:26:04 UTC
This is an unsupported use of the samba4 package.
This package should not be installed on the client. It is needed only on IPA on the server.

Comment 5 Kaushik Banerjee 2014-08-12 11:00:00 UTC
Not sure how samba4 is being installed in RHEL6.6 by default. Trying to figure that out.

Comment 6 Kaushik Banerjee 2014-08-12 12:08:19 UTC
sssd automation task rpm has a dependency on sssd-common.

But it seems, it installs samba4-common instead. Any idea why?

# yum deplist sssd-qe-tests-CoreOS-sssd-client-ad_provider-ad_schema-kbanerje-559be56-0.noarch.rpm

<snip>

  dependency: samba-common
   provider: samba-common.i686 3.6.23-9.el6
   provider: samba-common.x86_64 3.6.23-9.el6
   provider: samba4-common.x86_64 4.0.0-64.el6.rc4
  dependency: samba
   provider: samba.x86_64 3.6.23-9.el6
   provider: samba4.x86_64 4.0.0-64.el6.rc4

</snip>

Comment 7 Kaushik Banerjee 2014-08-12 12:16:15 UTC
(In reply to Kaushik Banerjee from comment #6)
> sssd automation task rpm has a dependency on sssd-common.

oops. typo.

s/sssd-common/samba-common

Comment 8 Jeremy Agee 2014-08-14 20:47:02 UTC
I was also looking into this as well.  This is not a comment on the bz subject but more on how this is cropping up in our testing. What im seeing is when our task rpms are installed in beaker, they will pull the samba4 versions by default if no samba-3.6.x rpms are installed.

The requited packages only define samba and samba-common and not samba4 or samba4-common for our task rpm.

# rpm -qpR sssd-qe-tests-CoreOS-sssd-client-ad_provider-ad_forest-56498c0-0.noarch.rpm
rhts-test-env  
sssd  
openldap-clients  
expect  
policycoreutils-python  
krb5-workstation  
samba  
samba-common  
rhqa-sssd-lib  
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1

In the case of no samba rpms installed on the system. the above task will pull in the following packages with yum
samba4-4.0.0-64.el6.rc4
samba4-common-4.0.0-64.el6.rc4

If samba-common-3.6.x rpm is installed but the samba-3.6.x rpm is not installed you will get a dependency error from yum.

If both of the samba-3.6.x and samba-common-3.6.x rpms are already installed. The sssd-qe-tests-CoreOS-sssd-client-ad_provider-ad_forest task rpm will install with yum and *not* pull in samba4 packages.

Looking at the base samba4 package is the fact that is says it provides "samba = 4.0.0-64.el6.rc4" causing this?
# rpm -qp --provides samba-3.6.23-11.el6.x86_64.rpm 
samba = 0:3.6.23-11.el6
samba(x86-64) = 0:3.6.23-11.el6

# rpm -qp --provides samba4-4.0.0-64.el6.rc4.x86_64.rpm
samba = 4.0.0-64.el6.rc4
samba4 = 0:4.0.0-64.el6.rc4
samba4(x86-64) = 0:4.0.0-64.el6.rc4

In beaker jobs if i specify the samba packages to be installed it will use the 3.6 versions during install time for the system provision.  The sssd-qe-tests-CoreOS-sssd-client-ad_provider-ad_forest task rpm will then install and not try to pull samba4 packages.  This looks to be one way too work around this happening.

Lines from the beaker xml job:
<packages>
    <package name="samba"/>
    <package name="samba-common"/>
</packages>


Note You need to log in before you can comment on or make changes to this bug.